%define upstream_name    Module-Install-GithubMeta
%define upstream_version 0.30

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    A Module::Install extension to include GitHub meta information in META.yml
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny) >= 0.50.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Module::Install) >= 0.850.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%{?perl_default_filter}

%description
Module::Install::GithubMeta is a the Module::Install manpage extension to
include GitHub the http://github.com manpage meta information in
'META.yml'.

It automatically detects if the distribution directory is under 'git'
version control and whether the 'origin' is a GitHub repository and will
set the 'repository' and 'homepage' meta in 'META.yml' to the appropriate
URLs for GitHub.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.300.0-5.mga8
+ Revision: 1495619
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.300.0-4.mga7
+ Revision: 1269392
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.300.0-3.mga6
+ Revision: 1030075
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.300.0-2.mga6
+ Revision: 966289
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 0.300.0-1.mga6
+ Revision: 843290
- update to 0.30

* Wed Oct 15 2014 umeabot <umeabot> 0.280.0-4.mga5
+ Revision: 744979
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.280.0-3.mga5
+ Revision: 735705
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.280.0-2.mga5
+ Revision: 685442
- Mageia 5 Mass Rebuild

* Sat May 17 2014 shlomif <shlomif> 0.280.0-1.mga5
+ Revision: 623266
- update to 0.28

* Sat Oct 19 2013 umeabot <umeabot> 0.260.0-2.mga4
+ Revision: 534218
- Mageia 4 Mass Rebuild

* Mon Sep 09 2013 sander85 <sander85> 0.260.0-1.mga4
+ Revision: 476659
- update to 0.26

* Sat Aug 24 2013 sander85 <sander85> 0.240.0-1.mga4
+ Revision: 471199
- update to 0.24

* Sun Jan 13 2013 umeabot <umeabot> 0.220.0-2.mga3
+ Revision: 369866
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 shlomif <shlomif> 0.220.0-1.mga3
+ Revision: 338092
- update to 0.22

* Wed Oct 24 2012 shlomif <shlomif> 0.180.0-1.mga3
+ Revision: 309577
- update to 0.18

* Mon Jan 30 2012 shlomif <shlomif> 0.160.0-1.mga2
+ Revision: 203490
- imported package perl-Module-Install-GithubMeta


* Sat Jan 21 2012 cpan2dist 0.16-1mga
- initial mageia release, generated with cpan2dist
